Unverified Commit 340da669 authored by Taylor Yu's avatar Taylor Yu Committed by teor
Browse files

Add more optional packages to Travis

Apparently we weren't building with either libcap or libseccomp on
Travis.  Install libcap-dev and libseccomp-dev in .travis.yml.  Closes
ticket 26560.
parent 27a2a6cb
...@@ -42,11 +42,12 @@ addons: ...@@ -42,11 +42,12 @@ addons:
packages: packages:
## Required dependencies ## Required dependencies
- libevent-dev - libevent-dev
- libseccomp2
- zlib1g-dev - zlib1g-dev
## Optional dependencies ## Optional dependencies
- libcap-dev
- liblzma-dev - liblzma-dev
- libscrypt-dev - libscrypt-dev
- libseccomp-dev
## zstd doesn't exist in Ubuntu Trusty ## zstd doesn't exist in Ubuntu Trusty
#- libzstd #- libzstd
......
o Minor features (continuous integration):
- Install libcap-dev and libseccomp2-dev so these optional
dependencies get tested on Travis CI. Closes ticket 26560.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment